Skip to main content
GET
/
v1
/
tenancies
/
{id}
Retrieve a tenancy
curl --request GET \
  --url https://api.yorlet.com/v1/tenancies/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "tenancy",
  "building": "<string>",
  "building_snapshot": {
    "name": "<string>",
    "single_unit": true
  },
  "cancel_at": 123,
  "canceled_at": 123,
  "customers": [
    {
      "id": "<string>",
      "email": "<string>",
      "name": "<string>"
    }
  ],
  "date_end": 123,
  "date_start": 123,
  "unit": "<string>",
  "unit_snapshot": {
    "name": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "assignee": "<string>",
  "cancel_reason": "<string>",
  "cancel_reason_description": "<string>",
  "contract_address": "<string>",
  "currency": "gbp",
  "customer_emails": [
    "<string>"
  ],
  "deposit": {
    "deposit_total": 123,
    "deposit_per_applicant": 123
  },
  "metadata": {},
  "move_in_date": 123,
  "move_out_date": 123,
  "renewal_intent": "<string>",
  "review": {
    "assignee": "<string>",
    "create_renewal_intent": true,
    "due_at": 123,
    "notification_channels": []
  },
  "subscription_data": {
    "billing_anchor": 123,
    "interval_count": 123,
    "items": [
      "<unknown>"
    ],
    "phases": [
      "<unknown>"
    ]
  }
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Returns the tenancy.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
tenancy
building
required

ID of the building where this tenancy is located.

building_snapshot
object
required

Snapshot of building data at the time of tenancy creation.

cancel_at
integer | null
required

Scheduled date for tenancy cancellation. Measured in seconds since the Unix epoch.

canceled_at
integer | null
required

Date and time when the tenancy was actually cancelled. Measured in seconds since the Unix epoch.

customers
object[]
required

The customers for the tenancy.

date_end
integer | null
required

Contractual end date of the tenancy period. Measured in seconds since the Unix epoch.

date_start
integer
required

Contractual start date of the tenancy period. Measured in seconds since the Unix epoch.

status
enum<string>
required

Current status of the tenancy.

Available options:
active,
canceled,
complete,
pending
type
enum<string>
required

The type of the tenancy.

Available options:
active_tenancy,
let_only,
renewal,
standard
unit
required

ID of the specific unit within the building being rented.

unit_snapshot
object
required

Snapshot of unit data at the time of tenancy creation.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

assignee
string | null

ID of the user assigned to manage this tenancy.

cancel_reason
string | null

Reason code for tenancy cancellation.

cancel_reason_description
string | null

Detailed description of why the tenancy was cancelled.

contract_address
string | null

Physical address specified in the tenancy contract.

currency
enum<string>

Currency code for all monetary amounts in this tenancy.

Available options:
gbp,
usd,
eur,
sek
Example:

"gbp"

customer_emails
string[]

The customer emails for the tenancy.

deposit
object

Deposit information and amounts for the tenancy.

end_behavior
enum<string> | null

The end behavior for the tenancy.

Available options:
roll,
complete,
null
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

move_in_date
integer | null

The date the tenant is expected to move in.

move_out_date
integer | null

The date the tenant is expected to move out.

renewal_intent
string | null

ID of the renewal intent record if the tenancy has one.

review
object

The tenancy review details.

subscription_data
object

Subscription-related data for recurring tenancy payments.